Javaに関する様々な情報をご紹介します。

Javaに関する様々な情報をご紹介します。
評価

0

サーブレットを作ってTomcatを起動する時のエラーがなおせません。

はじめまして。
eclipseを使って
サーブレットを作ったのですが、
eclipseからTomcatを起動させると
以下のメッセージがでて
なおせない状態です。

対応のしかたをご存知の方
いらっしゃいましたら、
おしえていただけませんか?
よろしくお願いいたします。

--------------------------------------------------
org.apache.coyote.http11.Http11Protocol init情報: Coyote HTTP/1.1を http-8080 で初期化します
2008/04/07 15:09:50 org.apache.catalina.startup.Catalina load
情報: Initialization processed in 2088 ms
2008/04/07 15:09:50 org.apache.catalina.core.StandardService start
情報: サービス Catalina を起動します
2008/04/07 15:09:50 org.apache.catalina.core.StandardEngine start
情報: Starting Servlet Engine: Apache Tomcat/6.0.16
2008/04/07 15:09:51 org.apache.tomcat.util.modeler.Registry registerComponent
致命的: Null component Catalina:type=JspMonitor,name=jsp,WebModule=//localhost/basic,J2EEApplication=none,J2EEServer=none
java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:585)
    at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:288)
    at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:413)
Caused by: java.lang.UnsupportedClassVersionError: Bad version number in .class file
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
    at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:1819)
    at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:872)
    at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1327)
    at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1206)
    at org.apache.catalina.startup.WebAnnotationSet.loadApplicationServletAnnotations(WebAnnotationSet.java:108)
    at org.apache.catalina.startup.WebAnnotationSet.loadApplicationAnnotations(WebAnnotationSet.java:58)
    at org.apache.catalina.startup.ContextConfig.applicationAnnotationsConfig(ContextConfig.java:297)
    at org.apache.catalina.startup.ContextConfig.start(ContextConfig.java:1064)
    at org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:261)
    at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:117)
    at org.apache.catalina.core.StandardContext.start(StandardContext.java:4252)
    at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1045)
    at org.apache.catalina.core.StandardHost.start(StandardHost.java:719)
    at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1045)
    at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:443)
    at org.apache.catalina.core.StandardService.start(StandardService.java:516)
    at org.apache.catalina.core.StandardServer.start(StandardServer.java:710)
    at org.apache.catalina.startup.Catalina.start(Catalina.java:578)
    ... 6 more
--------------------------------------------------
見づらいとは思いますが、
よろしくお願いいたします。

4

回答

33269

閲覧

4件の回答

評価

0

メッセージの内容くらい確認しましょう。
今回の場合は「Caused by」のところがポイント。

評価

0

回答ありがとうございます。

自分なりに調べてみたのですが、
なかなか、これというのがみつからなくて
困っていました。

Caused by のところがポイントなんですね。
ありがとうございます。
早速調べてみます。

評価

0

Caused by: java.lang.UnsupportedClassVersionError
で、いろいろ調べておりましたら
コンパイラの準拠レベルの設定がでてきました。

eclipseのコンパイラの準拠レベルの設定を
「5.0」にしましたら、直りました!

ありがとうございました!

評価

0

Eclipseの設定を直すだけじゃなくて、Tomcatのほうを直す場合はどうすればいいか、なんかも考えていくと理解が深まる。

質問から6ヶ月以上経過しているので、回答を書き込むことはできません。